/*
  fcfs_vfs.h
  ----------
  VFS operations for FCFS

  $Id: fcfs_vfs.h,v 1.1 2003/10/28 16:17:54 stewart Exp $

  (C)2003 Stewart Smith
  Distributed under the GPL
*/

#ifndef __FCFS_VFS_H__
#define __FCFS_VFS_H__

#include "disk.h"
#include "super_block.h"
#include "onode.h"


struct fcfs_disk *fcfs_mount(char *name);
int fcfs_umount(struct fcfs_disk *disk);


#endif
