/* space_bitmap.h
   --------------

   Header file for the bitmap block allocator

   $Id: space_bitmap.h,v 1.3 2003/10/20 07:18:11 stewart Exp $

   (C)2003 Stewart Smith
   Distributed under the GNU Public License
 */

#ifndef __SPACE_BITMAP_H__
#define __SPACE_BITMAP_H__

#include "testkit/types.h"

#define BLOCK_AG(disk,block) (block/disk->sb->ag_blocksnr)

u32 space_bitmap_size(struct fcfs_sb *sb, int ag);
int space_bitmap_allocate_block(struct fcfs_disk *disk, u32 allocation_group,u32 block);
struct fcfs_block_run *ag_allocate_block(struct fcfs_disk *disk, u32 allocation_group, u32 near, u32 blocksnr);
int ag_block_free(struct fcfs_disk *disk,u32 allocation_group, u32 block);

#endif
