/* super_block.c
   -------------
   $Id: super_block.c,v 1.2 2003/09/22 09:02:16 stewart Exp $

   The long awaited super_block.c
   i wish i had coded this before, gah, i thought i had.
   maybe i should give up the booze and late nights up coding.

   This file contains all those functions dealing with the super
   block of the FCFS Object Store.


   One day, we need a better name than FCFS, but really - come up
   with one. StewStore just seems lame.

   (C)2003 Stewart Smith
   Distributed under the GNU Public License.
*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "testkit/types.h"

#include "disk.h"
#include "super_block.h"

int fcfs_write_sb(struct fcfs_disk *disk)
{
  struct fcfs_disk_block *block;
  block = disk_getblock(disk,0);
  disk_writeblock(block);
  disk_freeblock(block);
  return 1;
}

int fcfs_sb_mark_dirty(struct fcfs_disk *disk)
{
  set_bit(FCFS_FLAG_Dirty,&(disk->sb->flags));
  fcfs_write_sb(disk);
  return 1;
}

int fcfs_sb_mark_clean(struct fcfs_disk *disk)
{
  clear_bit(FCFS_FLAG_Dirty,&(disk->sb->flags));
  fcfs_write_sb(disk);
  return 1;
}
